# RewardsSplitPayload

OWR and Split Proxy Params

### Extends

* [`TotalSplitPayload`](https://docs.obol.org/docs/sdk/type-aliases/totalsplitpayload)

### Properties

| Property             | Type                                                                              | Description                                                                                                                                                                                                 | Inherited from                        | Defined in   |
| -------------------- | --------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------- | ------------ |
| `splitRecipients`    | [`SplitRecipient`](https://docs.obol.org/docs/sdk/type-aliases/splitrecipient)\[] | The split recipients addresses and splits.                                                                                                                                                                  | `TotalSplitPayload.splitRecipients`   | types.ts:136 |
| `ObolRAFSplit?`      | `number`                                                                          | Split percentageNumber allocated for obol retroactive funding, minimum is 1%.                                                                                                                               | `TotalSplitPayload.ObolRAFSplit`      | types.ts:139 |
| `distributorFee?`    | `number`                                                                          | The percentageNumber of accrued rewards that is paid to the caller of the distribution function to compensate them for the gas costs of doing so. Cannot be greater than 10%. For example, 5 represents 5%. | `TotalSplitPayload.distributorFee`    | types.ts:142 |
| `controllerAddress?` | `string`                                                                          | Address that can mutate the split, should be ZeroAddress for immutable split.                                                                                                                               | `TotalSplitPayload.controllerAddress` | types.ts:145 |
| `principalRecipient` | `string`                                                                          | Address that will reclaim validator principal after exit.                                                                                                                                                   | -                                     | types.ts:153 |
| `etherAmount`        | `number`                                                                          | Amount needed to deploy all validators expected for the OWR/Splitter configuration.                                                                                                                         | -                                     | types.ts:156 |
| `recoveryAddress?`   | `string`                                                                          | Address that can control where the owr erc-20 tokens can be pushed, if set to zero it goes to splitter or principal address.                                                                                | -                                     | types.ts:159 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.obol.org/docs/sdk/interfaces/rewardssplitpayload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
